*HGLASSDLL.c - Minimum DLL for GENERATING an HGLASS cursor in vb */

#include <WINDOWS.H>

int FAR PASCAL LibMain (HANDLE 	hInstance,
						WORD	wDataSeg,
						WORD	cbHeapSize,
						LPSTR	lpszCmdLine)

{
	HCURSOR hSaveCursor;
	HCURSOR hHourGlass;

	hHourGlass = LoadCursor(NULL, IDC_WAIT);

	if (cbHeapSize != 0) 	/* If DLL seg is MOVABLE */
		UnlockData(0);

	return (1);				/* Init successfull.	 */
}

VOID FAR PASCAL Hglass (int Kind)
{
	if (Kind)
	{
		hSaveCursor = SetCursor(hHourGlass);
	}
	else
	{
		SetCursor(hHourGlass);
	}
}


VOID FAR PASCAL WEP (int nParameter)
{
	if (nParameter == WEP_SYSTEM_EXIT)
	{
		/* System shutdown in progress... */
		return (1);
	}
	else
	{
		if (nParameter == WEP_FREE_DLL)
		{
			/*DLL use is zero.  ALL apps have freed it */
			return (1);
		}
		else
		{
			/*Undefined value.  Ignore. */
			return (1);
		}
	}
}
